Bug 1657474 - Unescaped left brace in regex is deprecated and will be fatal in Perl 5.32
Summary: Unescaped left brace in regex is deprecated and will be fatal in Perl 5.32
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: shorewall
Version: 29
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Michele Baldessari
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-08 17:06 UTC by Andrew Peek
Modified: 2019-06-24 10:38 UTC (History)
2 users (show)

Fixed In Version: shorewall-5.2.2-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-24 10:38:22 UTC


Attachments (Terms of Use)

Description Andrew Peek 2018-12-08 17:06:13 UTC
Description of problem: Shorewall 5.2.0.5 Perl scrip problem on FC29


[root@vpn ~]# shorewall check

Checking using Shorewall 5.2.0.5...
Unescaped left brace in regex is deprecated here (and will be fatal in Perl 5.32), passed through in regex; marked by <-- HERE in m/ ^(.*?) \$({ <-- HERE )? (\d+|[a-zA-Z_]\w*) (?(2)}) (.*)$ / at /usr/share/perl5/vendor_perl/Shorewall/Config.pm line 2836.
Unescaped left brace in regex is deprecated here (and will be fatal in Perl 5.32), passed through in regex; marked by <-- HERE in m/ ^(.*?) \@({ <-- HERE )? (\d+|[a-zA-Z]\w*) (?(2)}) (.*)$ / at /usr/share/perl5/vendor_perl/Shorewall/Config.pm line 2853.
Unescaped left brace in regex is deprecated here (and will be fatal in Perl 5.32), passed through in regex; marked by <-- HERE in m/ ^(.*?) __({ <-- HERE )? (\w+) (?(2)}) (.*)$ / at /usr/share/perl5/vendor_perl/Shorewall/Config.pm line 2864.
Unescaped left brace in regex is deprecated here (and will be fatal in Perl 5.32), passed through in regex; marked by <-- HERE in m/ ^(.*?) \$({ <-- HERE )? (\d+|[a-zA-Z_]\w*) (?(2)}) (.*)$ / at /usr/share/perl5/vendor_perl/Shorewall/Config.pm line 3794.
Unescaped left brace in regex is deprecated here (and will be fatal in Perl 5.32), passed through in regex; marked by <-- HERE in m/ ^(.*?) \@({ <-- HERE )? (\d+|[a-zA-Z_]\w*) (?(2)}) (.*)$ / at /usr/share/perl5/vendor_perl/Shorewall/Config.pm line 3833.
Unescaped left brace in regex is deprecated here (and will be fatal in Perl 5.32), passed through in regex; marked by <-- HERE in m/ ^(.*?) \$({ <-- HERE )? (\d+|[a-zA-Z]\w*) (?(2)}) (.*)$ / at /usr/share/perl5/vendor_perl/Shorewall/Config.pm line 3849.
Unescaped left brace in regex is deprecated here (and will be fatal in Perl 5.32), passed through in regex; marked by <-- HERE in m/ ^(.*?) @({ <-- HERE )?(?:0|chain)(?(2)}) (.*)$ / at /usr/share/perl5/vendor_perl/Shorewall/Chains.pm line 5822.
Processing /etc/shorewall/params ...
Processing /etc/shorewall/shorewall.conf...
Loading Modules...
Checking /etc/shorewall/zones...
Checking /etc/shorewall/interfaces...
Checking /etc/shorewall/hosts...
Determining Hosts in Zones...
Locating Action Files...
Checking /etc/shorewall/policy...
Adding Anti-smurf Rules
Checking TCP Flags filtering...
Checking ARP Filtering...
Checking Kernel Route Filtering...
Checking Martian Logging...
Checking MAC Filtration -- Phase 1...
Checking /etc/shorewall/rules...
Checking MAC Filtration -- Phase 2...
Applying Policies...
Shorewall configuration verified


Shorewall 5.2.1 resolves defect. From 5.2.1 release notes,

7)  Some regular expressions used in Shorewall's Perl code will be
    disallowed by Perl version 5.23. These have been changed to be
    acceptable to that version of Perl.

Comment 1 Fedora Update System 2019-01-21 07:46:48 UTC
shorewall-5.2.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4e8deba862

Comment 2 Fedora Update System 2019-01-22 03:03:31 UTC
shorewall-5.2.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4e8deba862

Comment 3 Fedora Update System 2019-06-24 10:38:22 UTC
shorewall-5.2.2-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.